<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="site"
            type="String" />

        <variable
            name="carNo"
            type="String" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center|top"
        android:orientation="vertical"
        tools:context=".maintenance.TireScrapActivity">

        <include
            layout="@layout/layout_activity_title"
            app:title='@{"执行工单"}' />

        <TextView
            style="@style/text_title_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:letterSpacing="0.1"
            android:text='@{"车牌\t"+carNo}' />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:letterSpacing="0.1"
            android:text='@{"◎"+site}'
            android:textColor="@color/textColor1" />

        <androidx.gridlayout.widget.GridLayout
            style="@style/layout_card_style"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="12dp"
            app:columnCount="4"
            app:rowCount="4">

            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:letterSpacing="0.1"
                android:text="* 报废位置"
                android:textSize="16dp"
                app:layout_columnSpan="4" />


            <Spinner
                android:id="@+id/order_create_type"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_select_grey"

                android:paddingStart="12dp"
                app:layout_columnSpan="4" />


            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:letterSpacing="0.1"
                android:text="* 鉴定图片"
                android:textSize="16dp"
                app:layout_columnSpan="4" />

            <LinearLayout
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/bg_block_img_selector"
                android:gravity="center"
                android:onClick="blockClick_1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:src="@mipmap/ic_xiangji" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="*胎号" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/bg_block_img_selector"
                android:gravity="center"
                android:onClick="blockClick_1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:src="@mipmap/ic_xiangji" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="*整体胎" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="90dp"
                android:layout_height="90dp"
                android:layout_marginEnd="10dp"
                android:background="@drawable/bg_block_img_selector"
                android:gravity="center"
                android:onClick="blockClick_1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:src="@mipmap/ic_xiangji" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:text="病象" />
            </LinearLayout>

            <TextView
                style="@style/text_title_2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:letterSpacing="0.1"
                android:text="备注"
                android:textSize="16dp"
                app:layout_columnSpan="4" />

            <EditText
                android:id="@+id/dialog_tire_remark1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:background="@drawable/bg_grey"
                android:gravity="top"
                android:hint="输入报废原因描述..."
                android:minHeight="100dp"
                android:padding="8dp"
                android:textColor="@color/textColor1"
                android:textSize="14sp"
                app:layout_columnSpan="4" />


        </androidx.gridlayout.widget.GridLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1" />

        <Button
            android:id="@+id/dialog_tire_update_save"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_margin="12dp"
            android:background="@drawable/bg_button_blue"
            android:text="完成处理"
            android:textColor="@color/white"
            android:textSize="16sp"
            android:textStyle="bold" />
    </LinearLayout>
</layout>